> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Confirm a transaction has no matching invoice

POST https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/transactions/integrators-api-transactions-controller-confirm-no-match

## Authentication

- `Authorization` header (required)

## Request

### Body (application/json)

- `transactionId` (string, required) — External identifier of the bank transaction to confirm (e.g. the Plaid transaction id)
- `sourceType` (enum, required) — Type of external ID source the transactionId refers to
  - Allowed values: `PLAID`

## Response

### 200

Transaction confirmed as having no matching invoice

- `payload` (object, required) — Response payload, will be empty when success is false
  - `id` (string, required) — Unique Tabs identifier of the transaction
  - `transactionId` (string, required) — External identifier of the bank transaction that was confirmed
  - `status` (enum, required) — Confirmation status of the transaction
    - Allowed values: `NO_MATCH_CONFIRMED`
  - `confirmedAt` (datetime, required) — Timestamp when the transaction was confirmed as having no matching invoice
  - `externalIds` (list of object, required) — External system identifiers for the bank transaction
    - `type` (enum, required) — Type of external ID source for the bank transaction
      - Allowed values: `PLAID`
    - `id` (string, required) — External identifier value
- `success` (boolean, required) — Boolean with true=success, false=failure
- `message` (string, required) — Plain-text description of the result
- `error` (object, optional) — json element with any error messages or warnings
  - `code` (double, required) — API response code
  - `message` (string, required) — API response message
  - `details` (object, optional) — Additional details about the error

## Examples

**Request**

```json
{
  "transactionId": "plaid-txn-abc123",
  "sourceType": "PLAID"
}
```

**Response**

```json
{
  "payload": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "transactionId": "plaid-txn-abc123",
    "status": "NO_MATCH_CONFIRMED",
    "confirmedAt": "2026-07-09T00:00:00.000Z",
    "externalIds": [
      {
        "type": "PLAID",
        "id": "plaid-txn-abc123"
      }
    ]
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match"

payload = {
    "transactionId": "plaid-txn-abc123",
    "sourceType": "PLAID"
}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"transactionId":"plaid-txn-abc123","sourceType":"PLAID"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match"

	payload := strings.NewReader("{\n  \"transactionId\": \"plaid-txn-abc123\",\n  \"sourceType\": \"PLAID\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"transactionId\": \"plaid-txn-abc123\",\n  \"sourceType\": \"PLAID\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"transactionId\": \"plaid-txn-abc123\",\n  \"sourceType\": \"PLAID\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match', [
  'body' => '{
  "transactionId": "plaid-txn-abc123",
  "sourceType": "PLAID"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"transactionId\": \"plaid-txn-abc123\",\n  \"sourceType\": \"PLAID\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "transactionId": "plaid-txn-abc123",
  "sourceType": "PLAID"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v16/transactions/no-match")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```